| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT > Class Template Reference

`#include <AAX_FastInterpolatedTableLookup.h>`

## Public Member Functions
void | SetParameters (int iTableSize, TFLOAT iMin=0.0, TFLOAT iMax=1.0, int iNumTables=1)
| Set the table lookup parameters.
DFLOAT | DoTableLookupExtraFast (const TFLOAT *const iTable, DFLOAT iValue) const
| Perform an extra fast table lookup :)
void | DoTableLookupExtraFastMulti (const TFLOAT *iTable, DFLOAT iValue, DFLOAT *oValues) const
void | DoTableLookupExtraFast (const TFLOAT *const iTable, const TFLOAT *const inpBuf, DFLOAT *const outBuf, int blockSize)
TFLOAT | GetMin ()
TFLOAT | GetMaxMinusMin ()

## Member Function Documentation

## ◆ SetParameters()

template<class TFLOAT , class DFLOAT >

void AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT >::SetParameters | ( | int | iTableSize,
|  | TFLOAT | iMin = `0.0`,
|  | TFLOAT | iMax = `1.0`,
|  | int | iNumTables = `1`
| ) |  |
| inline

Set the table lookup parameters.

Parameters

  [in] | iTableSize | Size of the lookup table
  [in] | iMin | Minimum input value
  [in] | iMax | Maximum input value
  [in] | iNumTables | Number of tables to index

Note
  For future use...

## ◆ DoTableLookupExtraFast() [1/2]

template<class TFLOAT , class DFLOAT >

DFLOAT AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT >::DoTableLookupExtraFast | ( | const TFLOAT *const | iTable,
|  | DFLOAT | iValue
| ) |  | const
| inline

Perform an extra fast table lookup :)

Parameters

  [in] | iTable | Lookup table
  [in] | iValue | Table value

Note
  This version requires that the lookup table is padded with one extra location so we can avoid one of the checks to see if our pointers are out of bounds.

References AAX::FastTrunc2Int32().

Here is the call graph for this function:

## ◆ DoTableLookupExtraFastMulti()

template<class TFLOAT , class DFLOAT >

void AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT >::DoTableLookupExtraFastMulti | ( | const TFLOAT * | iTable,
|  | DFLOAT | iValue,
|  | DFLOAT * | oValues
| ) |  | const
| inline

References AAX::FastTrunc2Int32().

Here is the call graph for this function:

## ◆ DoTableLookupExtraFast() [2/2]

template<class TFLOAT , class DFLOAT >

void AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT >::DoTableLookupExtraFast | ( | const TFLOAT *const | iTable,
|  | const TFLOAT *const | inpBuf,
|  | DFLOAT *const | outBuf,
|  | int | blockSize
| ) |  |
| inline

## ◆ GetMin()

template<class TFLOAT , class DFLOAT >

TFLOAT AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT >::GetMin | ( |  | ) |
| inline

## ◆ GetMaxMinusMin()

template<class TFLOAT , class DFLOAT >

TFLOAT AAX_FastInterpolatedTableLookup< TFLOAT, DFLOAT >::GetMaxMinusMin | ( |  | ) |
| inline

The documentation for this class was generated from the following files:

- AAX_FastInterpolatedTableLookup.h
- AAX_FastInterpolatedTableLookup.hpp